import React from 'react';
import type { ForwardRefComponent as PolymorphicForwardRefComponent } from '../utils/polymorphic';
import TextInput from '../TextInput';
import type { ComponentProps } from '../utils/types';
type InternalAutocompleteInputProps = {
    as?: React.ComponentType<React.PropsWithChildren<any>>;
    /**
     * @deprecated `openOnFocus` is deprecated and will be removed in v38.
     * When `true`, autocomplete menu will show on focus or click.
     */
    openOnFocus?: boolean;
};
declare const AutocompleteInput: PolymorphicForwardRefComponent<typeof TextInput, InternalAutocompleteInputProps>;
export type AutocompleteInputProps = ComponentProps<typeof AutocompleteInput>;
export default AutocompleteInput;
//# sourceMappingURL=AutocompleteInput.d.ts.map