import React from 'react';
import { SkeletonAvatar } from '../experimental/Skeleton/SkeletonAvatar.js';
import classes from './AvatarPair.module.css.js';
import { clsx } from 'clsx';
import { jsx } from 'react/jsx-runtime';
import Avatar from '../Avatar/Avatar.js';

const AvatarPair = ({
  children,
  className,
  ...rest
}) => {
  const avatars = React.Children.map(children, (child, i) => {
    if (! /*#__PURE__*/React.isValidElement(child)) {
      return child;
    }
    if (i === 0) {
      return /*#__PURE__*/React.cloneElement(child, {
        size: 40
      });
    }
    if (child.type === SkeletonAvatar) {
      return /*#__PURE__*/jsx(SkeletonAvatar, {
        ...child.props,
        size: 20
      });
    }
    return /*#__PURE__*/jsx(Avatar, {
      className: clsx(child.props.className, classes.AvatarChild),
      ...child.props,
      size: 20
    });
  });
  return /*#__PURE__*/jsx("div", {
    className: clsx(className, classes.AvatarPair),
    ...rest,
    children: avatars
  });
};
AvatarPair.displayName = "AvatarPair";
AvatarPair.displayName = 'AvatarPair';

export { AvatarPair as default };
