import type { To } from 'history';
import React from 'react';
import type { SxProp } from '../sx';
import type { ComponentProps } from '../utils/types';
import type { ForwardRefComponent as PolymorphicForwardRefComponent } from '../utils/polymorphic';
export type BreadcrumbsProps = React.PropsWithChildren<{
    className?: string;
} & SxProp>;
declare function Breadcrumbs({ className, children, sx: sxProp }: BreadcrumbsProps): React.JSX.Element;
declare namespace Breadcrumbs {
    var displayName: string;
}
type StyledBreadcrumbsItemProps = {
    to?: To;
    selected?: boolean;
    className?: string;
} & SxProp & React.HTMLAttributes<HTMLAnchorElement> & React.ComponentPropsWithRef<'a'>;
declare const BreadcrumbsItem: PolymorphicForwardRefComponent<"a", StyledBreadcrumbsItemProps>;
export type BreadcrumbsItemProps = ComponentProps<typeof BreadcrumbsItem>;
declare const _default: typeof Breadcrumbs & {
    Item: PolymorphicForwardRefComponent<"a", StyledBreadcrumbsItemProps>;
};
export default _default;
/**
 * @deprecated Use the `Breadcrumbs` component instead (i.e. `<Breadcrumb>` → `<Breadcrumbs>`)
 */
export declare const Breadcrumb: typeof Breadcrumbs & {
    Item: PolymorphicForwardRefComponent<"a", StyledBreadcrumbsItemProps>;
};
/**
 * @deprecated Use the `BreadcrumbsProps` type instead
 */
export type BreadcrumbProps = BreadcrumbsProps;
/**
 * @deprecated Use the `BreadcrumbsItemProps` type instead
 */
export type BreadcrumbItemProps = ComponentProps<typeof BreadcrumbsItem>;
//# sourceMappingURL=Breadcrumbs.d.ts.map