import { useContext, useMemo } from 'react';
import { FeatureFlagContext } from './FeatureFlagContext.js';
import { FeatureFlagScope } from './FeatureFlagScope.js';
import { jsx } from 'react/jsx-runtime';

function FeatureFlags({
  children,
  flags
}) {
  const parentFeatureFlags = useContext(FeatureFlagContext);
  const value = useMemo(() => {
    const scope = FeatureFlagScope.merge(parentFeatureFlags, FeatureFlagScope.create(flags));
    return scope;
  }, [parentFeatureFlags, flags]);
  return /*#__PURE__*/jsx(FeatureFlagContext.Provider, {
    value: value,
    children: children
  });
}
FeatureFlags.displayName = "FeatureFlags";

export { FeatureFlags };
