import { clsx } from 'clsx';
import classes from './FormControlCaption.module.css.js';
import { useFormControlContext } from './_FormControlContext.js';
import { BoxWithFallback } from '../internal/components/BoxWithFallback.js';
import { jsx } from 'react/jsx-runtime';
import Text from '../Text/Text.js';

function FormControlCaption({
  id,
  children,
  sx,
  className
}) {
  const {
    captionId,
    disabled
  } = useFormControlContext();
  return /*#__PURE__*/jsx(BoxWithFallback, {
    as: Text,
    id: id !== null && id !== void 0 ? id : captionId,
    className: clsx(className, classes.Caption),
    "data-control-disabled": disabled ? '' : undefined,
    sx: sx,
    children: children
  });
}
FormControlCaption.displayName = "FormControlCaption";

export { FormControlCaption };
