import React from 'react';
import styled from 'styled-components';
import sx from '../sx.js';
import { jsx } from 'react/jsx-runtime';

const Icon = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    icon: IconComponent,
    ...rest
  } = props;
  return /*#__PURE__*/jsx(IconComponent, {
    ...rest,
    ref: ref
  });
});

/**
 * @deprecated Use the icon component directly from `@primer/octicons-react` instead
 */
const Octicon = styled(Icon).withConfig({
  shouldForwardProp(prop) {
    return prop !== 'sx';
  }
}).withConfig({
  displayName: "Octicon",
  componentId: "sc-9kayk9-0"
})(["", ""], ({
  color,
  sx: sxProp
}) => sx({
  sx: {
    color,
    ...sxProp
  }
}));

export { Octicon as default };
