import { forwardRef } from 'react';
import { defaultTokenSize, tokenSizes } from './TokenBase.js';
import Token from './Token.js';
import classes from './AvatarToken.module.css.js';
import { clsx } from 'clsx';
import { jsx } from 'react/jsx-runtime';
import Avatar from '../Avatar/Avatar.js';

const AvatarToken = /*#__PURE__*/forwardRef(({
  avatarSrc,
  id,
  size = defaultTokenSize,
  className,
  ...rest
}, forwardedRef) => {
  return /*#__PURE__*/jsx(Token, {
    leadingVisual: () => /*#__PURE__*/jsx("span", {
      className: classes.AvatarContainer,
      "data-size": size,
      children: /*#__PURE__*/jsx(Avatar, {
        src: avatarSrc,
        size: parseInt(tokenSizes[size], 10),
        className: classes.Avatar
      })
    }),
    size: size,
    id: id === null || id === void 0 ? void 0 : id.toString(),
    className: clsx(classes.Token, className),
    ...rest,
    ref: forwardedRef
  });
});
AvatarToken.displayName = 'AvatarToken';

export { AvatarToken as default };
