import React from 'react';
import type { SxProp } from '../sx';
export type UnderlineNavProps = {
    children: React.ReactNode;
    'aria-label'?: React.AriaAttributes['aria-label'];
    as?: React.ElementType;
    className?: string;
    sx?: SxProp['sx'];
    /**
     * loading state for all counters. It displays loading animation for individual counters (UnderlineNav.Item) until all are resolved. It is needed to prevent multiple layout shift.
     */
    loadingCounters?: boolean;
    /**
     * There are cases where you may not want the horizontal padding on items,
     * and panels to make the tabs look horizontally aligned with the content above and below it.
     * Setting this to `flush` will remove the horizontal padding on the items.
     */
    variant?: 'inset' | 'flush';
};
export declare const MORE_BTN_WIDTH = 86;
export declare const NavigationList: import("styled-components").StyledComponent<"ul", any, SxProp, never>;
export declare const MoreMenuListItem: import("styled-components").StyledComponent<"li", any, {}, never>;
export declare const getValidChildren: (children: React.ReactNode) => React.ReactElement[];
export declare const UnderlineNav: React.ForwardRefExoticComponent<UnderlineNavProps & React.RefAttributes<unknown>>;
//# sourceMappingURL=UnderlineNav.d.ts.map