import { clsx } from 'clsx';
import classes from './VisuallyHidden.module.css.js';
import { defaultSxProp } from '../utils/defaultSxProp.js';
import { jsx } from 'react/jsx-runtime';
import Box from '../Box/Box.js';

const VisuallyHidden = ({
  className,
  children,
  sx: sxProp = defaultSxProp,
  ...rest
}) => {
  if (sxProp !== defaultSxProp) {
    return /*#__PURE__*/jsx(Box, {
      sx: sxProp,
      className: clsx(className, classes.VisuallyHidden),
      ...rest,
      children: children
    });
  }
  return /*#__PURE__*/jsx("span", {
    className: clsx(className, classes.VisuallyHidden),
    ...rest,
    children: children
  });
};
VisuallyHidden.displayName = "VisuallyHidden";

export { VisuallyHidden };
