import styled from 'styled-components';
import sx from '../../sx.js';
import { Header } from './Header.js';
import { jsxs, jsx } from 'react/jsx-runtime';

const StyledGroup = styled.div.withConfig({
  displayName: "Group__StyledGroup",
  componentId: "sc-1s2aw76-0"
})(["", ""], sx);

/**
 * Collects related `Items` in an `ActionList`.
 */
function Group({
  header,
  items,
  ...props
}) {
  return /*#__PURE__*/jsxs(StyledGroup, {
    ...props,
    children: [header && /*#__PURE__*/jsx(Header, {
      ...header
    }), items]
  });
}
Group.displayName = "Group";

export { Group };
