import styled, { css } from 'styled-components';
import { get } from '../../constants.js';
import sx from '../../sx.js';
import { jsxs, jsx } from 'react/jsx-runtime';

const StyledHeader = styled.div.withConfig({
  displayName: "Header__StyledHeader",
  componentId: "sc-cjezay-0"
})(["{}padding:6px ", ";font-size:", ";font-weight:", ";color:", ";", " ", ""], get('space.3'), get('fontSizes.0'), get('fontWeights.bold'), get('colors.fg.muted'), ({
  variant
}) => variant === 'filled' && css(["background:", ";margin:", " 0;border-top:1px solid ", ";border-bottom:1px solid ", ";&:first-child{margin-top:0;}"], get('colors.canvas.subtle'), get('space.2'), get('colors.neutral.muted'), get('colors.neutral.muted')), sx);

/**
 * Displays the name and description of a `Group`.
 */
function Header({
  variant = 'subtle',
  title,
  auxiliaryText,
  children: _children,
  ...props
}) {
  return /*#__PURE__*/jsxs(StyledHeader, {
    role: "heading",
    variant: variant,
    ...props,
    children: [title, auxiliaryText && /*#__PURE__*/jsx("span", {
      children: auxiliaryText
    })]
  });
}
Header.displayName = "Header";

export { Header, StyledHeader };
