import type React from 'react';
export type Hex = `#${string}`;
type LabelColorVariant = 'pink' | 'plum' | 'purple' | 'indigo' | 'blue' | 'cyan' | 'teal' | 'pine' | 'green' | 'lime' | 'olive' | 'lemon' | 'yellow' | 'orange' | 'red' | 'coral' | 'gray' | 'brown' | 'auburn';
export interface IssueLabelProps {
    fillColor?: Hex;
    variant?: LabelColorVariant;
    href?: string;
    as?: 'button' | 'a' | 'span';
    text: React.ReactNode;
    id?: number | string;
    className?: string;
    onClick?: React.MouseEventHandler<HTMLSpanElement | HTMLButtonElement | HTMLAnchorElement>;
    onFocus?: React.FocusEventHandler<HTMLSpanElement | HTMLButtonElement | HTMLAnchorElement>;
}
export declare function IssueLabel({ className, fillColor, variant, href, onClick, onFocus, text, as, id, ...rest }: IssueLabelProps): React.JSX.Element;
export {};
//# sourceMappingURL=IssueLabel.d.ts.map