import type React from 'react';
import { type SxProp } from '../../sx';
type BaseProps = SxProp & {
    disabled?: boolean;
    required?: boolean;
    requiredText?: string;
    requiredIndicator?: boolean;
    visuallyHidden?: boolean;
    id?: string;
    className?: string;
};
export type LabelProps = BaseProps & {
    htmlFor?: string;
    as?: 'label';
};
export type LegendOrSpanProps = BaseProps & {
    as: 'legend' | 'span';
    htmlFor?: undefined;
};
type Props = React.PropsWithChildren<LabelProps | LegendOrSpanProps>;
declare function InputLabel({ children, disabled, htmlFor, id, required, requiredText, requiredIndicator, visuallyHidden, sx, as, className, ...props }: Props): React.JSX.Element;
export { InputLabel };
//# sourceMappingURL=InputLabel.d.ts.map