import { clsx } from 'clsx';
import classes from './InputLabel.module.css.js';
import { BoxWithFallback } from './BoxWithFallback.js';
import { jsx, jsxs } from 'react/jsx-runtime';

function InputLabel({
  children,
  disabled,
  htmlFor,
  id,
  required,
  requiredText,
  requiredIndicator,
  visuallyHidden,
  sx,
  as = 'label',
  className,
  ...props
}) {
  return (
    /*#__PURE__*/
    // @ts-ignore weird typing issue with union for `as` prop
    jsx(BoxWithFallback, {
      as: as,
      sx: sx,
      "data-control-disabled": disabled ? '' : undefined,
      "data-visually-hidden": visuallyHidden ? '' : undefined,
      htmlFor: htmlFor,
      id: id,
      className: clsx(className, classes.Label),
      ...props,
      children: required || requiredText ? /*#__PURE__*/jsxs("span", {
        className: classes.RequiredText,
        children: [/*#__PURE__*/jsx("span", {
          children: children
        }), /*#__PURE__*/jsx("span", {
          "aria-hidden": requiredIndicator ? undefined : true,
          children: requiredText !== null && requiredText !== void 0 ? requiredText : '*'
        })]
      }) : children
    })
  );
}
InputLabel.displayName = "InputLabel";

export { InputLabel };
