import { useState, useEffect } from 'react';
import styled, { css, keyframes } from 'styled-components';
import { jsx } from 'react/jsx-runtime';
import Box from '../../Box/Box.js';

const fadeIn = keyframes(["0%{opacity:0;transform:translateY(-100%);}100%{opacity:1;transform:translateY(0);}"]);
// using easeOutQuint easing fn https://easings.net/#easeOutQuint
const AnimatedElement = styled.div.withConfig({
  displayName: "ValidationAnimationContainer__AnimatedElement",
  componentId: "sc-8z5a3g-0"
})(["animation:", ";@media (prefers-reduced-motion){animation:none;}"], props => props.show && css(["170ms ", " cubic-bezier(0.44,0.74,0.36,1);"], fadeIn));
const ValidationAnimationContainer = ({
  show,
  children
}) => {
  const [shouldRender, setRender] = useState(show);
  useEffect(() => {
    if (show) setRender(true);
  }, [show]);
  const onAnimationEnd = () => {
    if (!show) setRender(false);
  };
  return shouldRender ? /*#__PURE__*/jsx(Box, {
    height: show ? 'auto' : 0,
    overflow: "hidden",
    children: /*#__PURE__*/jsx(AnimatedElement, {
      show: show,
      onAnimationEnd: onAnimationEnd,
      children: children
    })
  }) : null;
};

export { ValidationAnimationContainer as default };
