import React from 'react';
import type { SxProp } from '../sx';
export type ActionListDescriptionProps = {
    /**
     * Secondary text style variations.
     *
     * - `"inline"` - Secondary text is positioned beside primary text.
     * - `"block"` - Secondary text is positioned below primary text.
     */
    variant?: 'inline' | 'block';
    className?: string;
    /**
     * Whether the inline description should truncate the text on overflow.
     */
    truncate?: boolean;
} & SxProp;
export declare const Description: React.FC<React.PropsWithChildren<ActionListDescriptionProps>>;
//# sourceMappingURL=Description.d.ts.map