'use strict';

var React = require('react');
var shared = require('./shared.js');
var ActionList_module = require('./ActionList.module.css.js');
var defaultSxProp = require('../utils/defaultSxProp.js');
var BoxWithFallback = require('../internal/components/BoxWithFallback.js');
var clsx = require('clsx');
var jsxRuntime = require('react/jsx-runtime');
var Truncate = require('../Truncate/Truncate.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const Description = ({
  variant = 'inline',
  sx = defaultSxProp.defaultSxProp,
  className,
  truncate,
  ...props
}) => {
  const {
    blockDescriptionId,
    inlineDescriptionId
  } = React__default.default.useContext(shared.ItemContext);
  if (variant === 'block' || !truncate) {
    return /*#__PURE__*/jsxRuntime.jsx(BoxWithFallback.BoxWithFallback, {
      as: "span",
      sx: sx,
      id: variant === 'block' ? blockDescriptionId : inlineDescriptionId,
      className: clsx.clsx(className, ActionList_module.Description),
      "data-component": "ActionList.Description",
      children: props.children
    });
  } else {
    return /*#__PURE__*/jsxRuntime.jsx(Truncate, {
      id: inlineDescriptionId,
      className: clsx.clsx(className, ActionList_module.Description),
      sx: sx,
      title: props.children,
      inline: true,
      maxWidth: "100%",
      "data-component": "ActionList.Description",
      children: props.children
    });
  }
};

exports.Description = Description;
