'use strict';

var React = require('react');
var Item = require('./Item.js');
var defaultSxProp = require('../utils/defaultSxProp.js');
var jsxRuntime = require('react/jsx-runtime');
var Link = require('../Link/Link.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const LinkItem = /*#__PURE__*/React__default.default.forwardRef(({
  sx = defaultSxProp.defaultSxProp,
  active,
  inactiveText,
  variant,
  as: Component,
  className,
  ...props
}, forwardedRef) => {
  return /*#__PURE__*/jsxRuntime.jsx(Item.Item, {
    className: className,
    active: active,
    inactiveText: inactiveText,
    "data-inactive": inactiveText ? true : undefined,
    variant: variant,
    sx: sx,
    _PrivateItemWrapper: ({
      children,
      onClick,
      ...rest
    }) => {
      const clickHandler = event => {
        onClick && onClick(event);
        props.onClick && props.onClick(event);
      };
      return inactiveText ? /*#__PURE__*/jsxRuntime.jsx("span", {
        ...rest,
        children: children
      }) : /*#__PURE__*/jsxRuntime.jsx(Link, {
        as: Component,
        ...rest,
        ...props,
        onClick: clickHandler,
        ref: forwardedRef,
        children: children
      });
    },
    children: props.children
  });
});
LinkItem.displayName = 'ActionList.LinkItem';

exports.LinkItem = LinkItem;
