'use strict';

var React = require('react');
var SkeletonAvatar = require('../experimental/Skeleton/SkeletonAvatar.js');
var AvatarPair_module = require('./AvatarPair.module.css.js');
var clsx = require('clsx');
var jsxRuntime = require('react/jsx-runtime');
var Avatar = require('../Avatar/Avatar.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const AvatarPair = ({
  children,
  className,
  ...rest
}) => {
  const avatars = React__default.default.Children.map(children, (child, i) => {
    if (! /*#__PURE__*/React__default.default.isValidElement(child)) {
      return child;
    }
    if (i === 0) {
      return /*#__PURE__*/React__default.default.cloneElement(child, {
        size: 40
      });
    }
    if (child.type === SkeletonAvatar.SkeletonAvatar) {
      return /*#__PURE__*/jsxRuntime.jsx(SkeletonAvatar.SkeletonAvatar, {
        ...child.props,
        size: 20
      });
    }
    return /*#__PURE__*/jsxRuntime.jsx(Avatar.default, {
      className: clsx.clsx(child.props.className, AvatarPair_module.AvatarChild),
      ...child.props,
      size: 20
    });
  });
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: clsx.clsx(className, AvatarPair_module.AvatarPair),
    ...rest,
    children: avatars
  });
};
AvatarPair.displayName = "AvatarPair";
AvatarPair.displayName = 'AvatarPair';

module.exports = AvatarPair;
