'use strict';

var React = require('react');

const BlankslateContext = /*#__PURE__*/React.createContext(null);
function useBlankslate() {
  const context = React.useContext(BlankslateContext);
  if (!context) {
    throw new Error('useBlankslate must be used within a BlankslateProvider');
  }
  return context;
}
const Provider = BlankslateContext.Provider;

exports.Provider = Provider;
exports.useBlankslate = useBlankslate;
