'use strict';

var clsx = require('clsx');
var React = require('react');
var defaultSxProp = require('../utils/defaultSxProp.js');
var CounterLabel_module = require('./CounterLabel.module.css.js');
var jsxRuntime = require('react/jsx-runtime');
var Box = require('../Box/Box.js');
var VisuallyHidden = require('../VisuallyHidden/VisuallyHidden.js');

const CounterLabel = /*#__PURE__*/React.forwardRef(({
  scheme = 'secondary',
  sx = defaultSxProp.defaultSxProp,
  className,
  children,
  ...rest
}, forwardedRef) => {
  const label = /*#__PURE__*/jsxRuntime.jsxs(VisuallyHidden.VisuallyHidden, {
    children: ["\xA0(", children, ")"]
  });
  const counterProps = {
    ref: forwardedRef,
    ['aria-hidden']: 'true',
    ['data-scheme']: scheme,
    ...rest
  };
  if (sx !== defaultSxProp.defaultSxProp) {
    return /*#__PURE__*/jsxRuntime.jsxs(jsxRuntime.Fragment, {
      children: [/*#__PURE__*/jsxRuntime.jsx(Box, {
        as: "span",
        ...counterProps,
        className: clsx.clsx(className, CounterLabel_module.CounterLabel),
        sx: sx,
        children: children
      }), label]
    });
  }
  return /*#__PURE__*/jsxRuntime.jsxs(jsxRuntime.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsx("span", {
      ...counterProps,
      className: clsx.clsx(className, CounterLabel_module.CounterLabel),
      children: children
    }), label]
  });
});
CounterLabel.displayName = 'CounterLabel';

module.exports = CounterLabel;
