'use strict';

var ConfirmationDialog = require('../ConfirmationDialog/ConfirmationDialog.js');
var jsxRuntime = require('react/jsx-runtime');

function ErrorDialog({
  title = 'Error',
  children,
  onRetry,
  onDismiss
}) {
  return /*#__PURE__*/jsxRuntime.jsx(ConfirmationDialog.ConfirmationDialog, {
    title: title,
    onClose: gesture => {
      if (gesture === 'confirm') {
        onRetry === null || onRetry === void 0 ? void 0 : onRetry();
      } else {
        onDismiss === null || onDismiss === void 0 ? void 0 : onDismiss();
      }
    },
    confirmButtonContent: "Retry",
    cancelButtonContent: "Dismiss",
    children: children
  });
}
ErrorDialog.displayName = "ErrorDialog";

exports.ErrorDialog = ErrorDialog;
