'use strict';

var React = require('react');
var FeatureFlagContext = require('./FeatureFlagContext.js');
var FeatureFlagScope = require('./FeatureFlagScope.js');
var jsxRuntime = require('react/jsx-runtime');

function FeatureFlags({
  children,
  flags
}) {
  const parentFeatureFlags = React.useContext(FeatureFlagContext.FeatureFlagContext);
  const value = React.useMemo(() => {
    const scope = FeatureFlagScope.FeatureFlagScope.merge(parentFeatureFlags, FeatureFlagScope.FeatureFlagScope.create(flags));
    return scope;
  }, [parentFeatureFlags, flags]);
  return /*#__PURE__*/jsxRuntime.jsx(FeatureFlagContext.FeatureFlagContext.Provider, {
    value: value,
    children: children
  });
}
FeatureFlags.displayName = "FeatureFlags";

exports.FeatureFlags = FeatureFlags;
