'use strict';

var clsx = require('clsx');
var React = require('react');
var BoxWithFallback = require('../internal/components/BoxWithFallback.js');
var Flash_module = require('./Flash.module.css.js');
var jsxRuntime = require('react/jsx-runtime');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const Flash = /*#__PURE__*/React__default.default.forwardRef(function Flash({
  as,
  className,
  variant = 'default',
  full,
  sx,
  ...rest
}, ref) {
  return /*#__PURE__*/jsxRuntime.jsx(BoxWithFallback.BoxWithFallback, {
    ...rest,
    ref: ref,
    as: as,
    className: clsx.clsx(Flash_module.Flash, className),
    "data-full": full ? '' : undefined,
    "data-variant": variant,
    sx: sx
  });
});
if (process.env.NODE_ENV !== "production") {
  Flash.displayName = 'Flash';
}

module.exports = Flash;
