'use strict';

var clsx = require('clsx');
var FormControlCaption_module = require('./FormControlCaption.module.css.js');
var _FormControlContext = require('./_FormControlContext.js');
var BoxWithFallback = require('../internal/components/BoxWithFallback.js');
var jsxRuntime = require('react/jsx-runtime');
var Text = require('../Text/Text.js');

function FormControlCaption({
  id,
  children,
  sx,
  className
}) {
  const {
    captionId,
    disabled
  } = _FormControlContext.useFormControlContext();
  return /*#__PURE__*/jsxRuntime.jsx(BoxWithFallback.BoxWithFallback, {
    as: Text,
    id: id !== null && id !== void 0 ? id : captionId,
    className: clsx.clsx(className, FormControlCaption_module.Caption),
    "data-control-disabled": disabled ? '' : undefined,
    sx: sx,
    children: children
  });
}
FormControlCaption.displayName = "FormControlCaption";

exports.FormControlCaption = FormControlCaption;
