'use strict';

var _FormControlContext = require('./_FormControlContext.js');
var InputLabel = require('../internal/components/InputLabel.js');
var jsxRuntime = require('react/jsx-runtime');

const FormControlLabel = ({
  as,
  children,
  htmlFor,
  id,
  visuallyHidden,
  requiredIndicator = true,
  requiredText,
  sx,
  className,
  ...props
}) => {
  const {
    disabled,
    id: formControlId,
    required
  } = _FormControlContext.useFormControlContext();

  /**
   * Ensure we can pass through props correctly, since legend/span accept no defined 'htmlFor'
   */
  const labelProps = as === 'legend' || as === 'span' ? {
    as,
    id,
    className,
    visuallyHidden,
    required,
    requiredText,
    requiredIndicator,
    disabled,
    sx,
    ...props
  } : {
    as,
    id,
    className,
    visuallyHidden,
    htmlFor: htmlFor || formControlId,
    required,
    requiredText,
    requiredIndicator,
    disabled,
    sx,
    ...props
  };
  return /*#__PURE__*/jsxRuntime.jsx(InputLabel.InputLabel, {
    ...labelProps,
    children: children
  });
};
FormControlLabel.displayName = "FormControlLabel";

module.exports = FormControlLabel;
