'use strict';

var React = require('react');
var clsx = require('clsx');
var Header_module = require('./Header.module.css.js');
var defaultSxProp = require('../utils/defaultSxProp.js');
var jsxRuntime = require('react/jsx-runtime');
var Box = require('../Box/Box.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const Header = /*#__PURE__*/React__default.default.forwardRef(function Header({
  children,
  className,
  sx: sxProp = defaultSxProp.defaultSxProp,
  as = 'header',
  ...rest
}, forwardRef) {
  if (sxProp !== defaultSxProp.defaultSxProp || as !== 'header') {
    return /*#__PURE__*/jsxRuntime.jsx(Box, {
      as: as,
      sx: sxProp,
      ref: forwardRef,
      className: clsx.clsx(className, Header_module.Header),
      ...rest,
      children: children
    });
  }
  return /*#__PURE__*/jsxRuntime.jsx("header", {
    ref: forwardRef,
    className: clsx.clsx(className, Header_module.Header),
    ...rest,
    children: children
  });
});
Header.displayName = 'Header';
const HeaderItem = /*#__PURE__*/React__default.default.forwardRef(function HeaderItem({
  children,
  className,
  sx: sxProp = defaultSxProp.defaultSxProp,
  full,
  ...rest
}, forwardRef) {
  if (sxProp !== defaultSxProp.defaultSxProp) {
    return /*#__PURE__*/jsxRuntime.jsx(Box, {
      as: 'div',
      sx: sxProp,
      ref: forwardRef,
      className: clsx.clsx(className, Header_module.HeaderItem),
      "data-full": full,
      ...rest,
      children: children
    });
  }
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    ref: forwardRef,
    className: clsx.clsx(className, Header_module.HeaderItem),
    "data-full": full,
    ...rest,
    children: children
  });
});
HeaderItem.displayName = 'Header.Item';
const HeaderLink = /*#__PURE__*/React__default.default.forwardRef(function HeaderLink({
  children,
  className,
  sx: sxProp = defaultSxProp.defaultSxProp,
  as = 'a',
  ...rest
}, forwardRef) {
  if (sxProp !== defaultSxProp.defaultSxProp || as !== 'a') {
    return /*#__PURE__*/jsxRuntime.jsx(Box, {
      as: as,
      sx: sxProp,
      ref: forwardRef,
      className: clsx.clsx(className, Header_module.HeaderLink),
      ...rest,
      children: children
    });
  }
  return /*#__PURE__*/jsxRuntime.jsx("a", {
    ref: forwardRef,
    className: clsx.clsx(className, Header_module.HeaderLink),
    ...rest,
    children: children
  });
});
HeaderLink.displayName = 'Header.Link';
var Header$1 = Object.assign(Header, {
  Link: HeaderLink,
  Item: HeaderItem
});

module.exports = Header$1;
