'use strict';

var _VisuallyHidden = require('../../_VisuallyHidden.js');
var keyNames = require('../key-names.js');
var useIsMacOS = require('../../hooks/useIsMacOS.js');
var jsxRuntime = require('react/jsx-runtime');

/** Renders a single key with accessible alternative text. */
const Key = ({
  name,
  format
}) => {
  const isMacOS = useIsMacOS.useIsMacOS();
  return /*#__PURE__*/jsxRuntime.jsxs(jsxRuntime.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsx(_VisuallyHidden, {
      children: keyNames.accessibleKeyName(name, isMacOS)
    }), /*#__PURE__*/jsxRuntime.jsx("span", {
      "aria-hidden": true,
      children: format === 'condensed' ? keyNames.condensedKeyName(name, isMacOS) : keyNames.fullKeyName(name, isMacOS)
    })]
  });
};

exports.Key = Key;
