'use strict';

var React = require('react');
var _VisuallyHidden = require('../../_VisuallyHidden.js');
var Chord = require('./Chord.js');
var jsxRuntime = require('react/jsx-runtime');

const splitSequence = sequence => sequence.split(' ');
const Sequence = ({
  keys,
  ...chordProps
}) => splitSequence(keys).map((c, i) => /*#__PURE__*/jsxRuntime.jsxs(React.Fragment, {
  children: [
  //  Since we audibly separate individual keys in chord with space, we need some other separator for chords in a sequence
  i > 0 && /*#__PURE__*/jsxRuntime.jsxs(jsxRuntime.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsx(_VisuallyHidden, {
      children: "then"
    }), ' ']
  }), /*#__PURE__*/jsxRuntime.jsx(Chord.Chord, {
    keys: c,
    ...chordProps
  })]
}, i));

/** Plain string version of `Sequence` for use in `aria` string attributes. */
const accessibleSequenceString = (sequence, isMacOS) => splitSequence(sequence).map(chord => Chord.accessibleChordString(chord, isMacOS)).join(' then ');

exports.Sequence = Sequence;
exports.accessibleSequenceString = accessibleSequenceString;
