/**
 * Short-form iconic versions of keys. These should be intuitive (not archaic) and match icons on keyboards.
 */
export declare const condensedKeyName: (key: string, isMacOS: boolean) => string;
/**
 * Specific key displays for 'full' format. We still do show some icons (ie punctuation)
 * because that's more intuitive, but for the rest of keys we show the standard key name.
 */
export declare const fullKeyName: (key: string, isMacOS: boolean) => string;
/**
 * Accessible key names intended to be read by a screen reader. This prevents screen
 * readers from expressing punctuation in speech, ie, reading a long pause instead of the
 * word "period".
 */
export declare const accessibleKeyName: (key: string, isMacOS: boolean) => string;
//# sourceMappingURL=key-names.d.ts.map