'use strict';

var clsx = require('clsx');
var Label_module = require('./Label.module.css.js');
var React = require('react');
var jsxRuntime = require('react/jsx-runtime');
var Box = require('../Box/Box.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const Label = /*#__PURE__*/React__default.default.forwardRef(function Label({
  as,
  size = 'small',
  variant = 'default',
  className,
  ...rest
}, ref) {
  const Component = as || 'span';
  if (rest.sx) {
    return /*#__PURE__*/jsxRuntime.jsx(Box, {
      as: Component,
      className: clsx.clsx(className, Label_module.Label),
      "data-size": size,
      "data-variant": variant,
      ref: ref,
      ...rest
    });
  }
  return /*#__PURE__*/jsxRuntime.jsx(Component, {
    className: clsx.clsx(className, Label_module.Label),
    "data-size": size,
    "data-variant": variant,
    ...rest
  });
});

module.exports = Label;
