'use strict';

var React = require('react');
var styled = require('styled-components');
var sx = require('../sx.js');
var jsxRuntime = require('react/jsx-runtime');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);
var styled__default = /*#__PURE__*/_interopDefault(styled);

const Icon = /*#__PURE__*/React__default.default.forwardRef((props, ref) => {
  const {
    icon: IconComponent,
    ...rest
  } = props;
  return /*#__PURE__*/jsxRuntime.jsx(IconComponent, {
    ...rest,
    ref: ref
  });
});

/**
 * @deprecated Use the icon component directly from `@primer/octicons-react` instead
 */
const Octicon = styled__default.default(Icon).withConfig({
  shouldForwardProp(prop) {
    return prop !== 'sx';
  }
}).withConfig({
  displayName: "Octicon",
  componentId: "sc-9kayk9-0"
})(["", ""], ({
  color,
  sx: sxProp
}) => sx.default({
  sx: {
    color,
    ...sxProp
  }
}));

module.exports = Octicon;
