import React from 'react';
import { type PageDataProps } from './model';
import type { ResponsiveValue } from '../hooks/useResponsiveValue';
export type PageProps = {
    key: string;
    children: React.ReactNode;
    number: number;
    className: string;
} & Omit<PageDataProps['props'], 'as' | 'role'>;
export type PaginationProps = {
    className?: string;
    theme?: Record<string, unknown>;
    pageCount: number;
    currentPage: number;
    onPageChange?: (e: React.MouseEvent, n: number) => void;
    hrefBuilder?: (n: number) => string;
    marginPageCount?: number;
    showPages?: boolean | ResponsiveValue<boolean>;
    surroundingPageCount?: number;
    renderPage?: (props: PageProps) => React.ReactNode;
};
declare function Pagination({ className, theme: _theme, pageCount, currentPage, onPageChange, hrefBuilder, marginPageCount, showPages, surroundingPageCount, renderPage, ...rest }: PaginationProps): React.JSX.Element;
export default Pagination;
//# sourceMappingURL=Pagination.d.ts.map