'use strict';

var clsx = require('clsx');
var Popover_module = require('./Popover.module.css.js');
var React = require('react');
var toggleSxComponent = require('../internal/utils/toggleSxComponent.js');
var jsxRuntime = require('react/jsx-runtime');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const PopoverBaseComponent = toggleSxComponent.toggleSxComponent('div');
const Popover = /*#__PURE__*/React__default.default.forwardRef(function Popover({
  className,
  caret = 'top',
  open,
  relative,
  ...props
}, forwardRef) {
  return /*#__PURE__*/jsxRuntime.jsx(PopoverBaseComponent, {
    ...props,
    ref: forwardRef,
    "data-open": open ? '' : undefined,
    "data-relative": relative ? '' : undefined,
    "data-caret": caret,
    className: clsx.clsx(className, Popover_module.Popover)
  });
});
Popover.displayName = 'Popover';
const PopoverContentBaseComponent = toggleSxComponent.toggleSxComponent('div');
const PopoverContent = ({
  className,
  ...props
}) => {
  return /*#__PURE__*/jsxRuntime.jsx(PopoverContentBaseComponent, {
    ...props,
    className: clsx.clsx(className, Popover_module.PopoverContent)
  });
};
PopoverContent.displayName = "PopoverContent";
PopoverContent.displayName = 'Popover.Content';
var Popover$1 = Object.assign(Popover, {
  Content: PopoverContent
});

module.exports = Popover$1;
