'use strict';

var React = require('react');
var clsx = require('clsx');
var TextInputWrapper = require('../internal/components/TextInputWrapper.js');
var Select_module = require('./Select.module.css.js');
var jsxRuntime = require('react/jsx-runtime');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const ArrowIndicatorSVG = ({
  className
}) => {
  return /*#__PURE__*/jsxRuntime.jsx("svg", {
    "aria-hidden": "true",
    width: "16",
    height: "16",
    fill: "currentColor",
    xmlns: "http://www.w3.org/2000/svg",
    className: className,
    children: /*#__PURE__*/jsxRuntime.jsx("path", {
      d: "m4.074 9.427 3.396 3.396a.25.25 0 0 0 .354 0l3.396-3.396A.25.25 0 0 0 11.043 9H4.251a.25.25 0 0 0-.177.427ZM4.074 7.47 7.47 4.073a.25.25 0 0 1 .354 0L11.22 7.47a.25.25 0 0 1-.177.426H4.251a.25.25 0 0 1-.177-.426Z"
    })
  });
};
ArrowIndicatorSVG.displayName = "ArrowIndicatorSVG";
const ArrowIndicator = ({
  className
}) => {
  return /*#__PURE__*/jsxRuntime.jsx(ArrowIndicatorSVG, {
    className: clsx.clsx(Select_module.ArrowIndicator, className)
  });
};
ArrowIndicator.displayName = "ArrowIndicator";
const Select = /*#__PURE__*/React__default.default.forwardRef(({
  block,
  children,
  className,
  contrast,
  defaultValue,
  disabled,
  placeholder,
  size,
  required,
  validationStatus,
  sx,
  ...rest
}, ref) => {
  var _ref;
  return /*#__PURE__*/jsxRuntime.jsxs(TextInputWrapper.TextInputWrapper, {
    block: block,
    contrast: contrast,
    disabled: disabled,
    size: size,
    validationStatus: validationStatus,
    className: Select_module.TextInputWrapper,
    sx: sx,
    children: [/*#__PURE__*/jsxRuntime.jsxs("select", {
      ...rest,
      ref: ref,
      required: required,
      disabled: disabled,
      "aria-invalid": validationStatus === 'error' ? 'true' : 'false',
      className: clsx.clsx(className, Select_module.Select, disabled && Select_module.Disabled),
      "data-hasplaceholder": Boolean(placeholder),
      defaultValue: (_ref = defaultValue !== null && defaultValue !== void 0 ? defaultValue : placeholder) !== null && _ref !== void 0 ? _ref : undefined,
      children: [placeholder && /*#__PURE__*/jsxRuntime.jsx("option", {
        value: "",
        disabled: required,
        hidden: required,
        children: placeholder
      }), children]
    }), /*#__PURE__*/jsxRuntime.jsx(ArrowIndicator, {
      className: Select_module.ArrowIndicator
    })]
  });
});
const Option = props => /*#__PURE__*/jsxRuntime.jsx("option", {
  ...props
});
Option.displayName = "Option";
const OptGroup = props => /*#__PURE__*/jsxRuntime.jsx("optgroup", {
  ...props
});
OptGroup.displayName = "OptGroup";
var Select$1 = Object.assign(Select, {
  Option,
  OptGroup
});

module.exports = Select$1;
