'use strict';

var octiconsReact = require('@primer/octicons-react');
var SelectPanel_module = require('./SelectPanel.module.css.js');
var clsx = require('clsx');
var jsxRuntime = require('react/jsx-runtime');
var Octicon = require('../Octicon/Octicon.js');
var Text = require('../Text/Text.js');

const SelectPanelMessage = ({
  variant,
  title,
  children,
  className
}) => {
  return /*#__PURE__*/jsxRuntime.jsxs("div", {
    className: clsx.clsx(SelectPanel_module.Message, className),
    children: [variant !== 'empty' ? /*#__PURE__*/jsxRuntime.jsx(Octicon, {
      icon: octiconsReact.AlertIcon,
      className: SelectPanel_module.MessageIcon,
      "data-variant": variant
    }) : null, /*#__PURE__*/jsxRuntime.jsx(Text, {
      className: SelectPanel_module.MessageTitle,
      children: title
    }), /*#__PURE__*/jsxRuntime.jsx(Text, {
      className: SelectPanel_module.MessageBody,
      children: children
    })]
  });
};
SelectPanelMessage.displayName = "SelectPanelMessage";

exports.SelectPanelMessage = SelectPanelMessage;
