'use strict';

var React = require('react');
var clsx = require('clsx');
var SkeletonBox_module = require('./SkeletonBox.module.css.js');
require('@styled-system/css');
var merge = require('deepmerge');
var jsxRuntime = require('react/jsx-runtime');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);
var merge__default = /*#__PURE__*/_interopDefault(merge);

const SkeletonBox = /*#__PURE__*/React__default.default.forwardRef(function SkeletonBox({
  height,
  width,
  className,
  style,
  ...props
}, ref) {
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: clsx.clsx(className, SkeletonBox_module.SkeletonBox),
    style: merge__default.default(style, {
      height,
      width
    }),
    ...props,
    ref: ref
  });
});

exports.SkeletonBox = SkeletonBox;
