'use strict';

var clsx = require('clsx');
var React = require('react');
var Text_module = require('./Text.module.css.js');
var toggleSxComponent = require('../internal/utils/toggleSxComponent.js');
var jsxRuntime = require('react/jsx-runtime');
var useRefObjectAsForwardedRef = require('../hooks/useRefObjectAsForwardedRef.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const TextBaseComponent = toggleSxComponent.toggleSxComponent('span');
const Text = /*#__PURE__*/React.forwardRef(({
  as: Component = 'span',
  className,
  size,
  weight,
  ...props
}, forwardedRef) => {
  const innerRef = React__default.default.useRef(null);
  useRefObjectAsForwardedRef.useRefObjectAsForwardedRef(forwardedRef, innerRef);
  return /*#__PURE__*/jsxRuntime.jsx(TextBaseComponent, {
    as: Component,
    className: clsx.clsx(className, Text_module.Text),
    "data-size": size,
    "data-weight": weight,
    ...props,
    // @ts-ignore shh
    ref: innerRef
  });

  // eslint-disable-next-line @typescript-eslint/no-explicit-any
});
Text.displayName = 'Text';

module.exports = Text;
