import React from 'react';
import type { SxProp } from '../sx';
type StyledTimelineProps = {
    clipSidebar?: boolean;
    className?: string;
} & SxProp;
export type TimelineProps = StyledTimelineProps & React.ComponentPropsWithoutRef<'div'>;
type StyledTimelineItemProps = {
    condensed?: boolean;
    className?: string;
} & SxProp;
/**
 * @deprecated Use the `TimelineItemProps` type instead
 */
export type TimelineItemsProps = StyledTimelineItemProps & SxProp & React.ComponentPropsWithoutRef<'div'>;
export type TimelineItemProps = StyledTimelineItemProps & SxProp & React.ComponentPropsWithoutRef<'div'>;
export type TimelineBadgeProps = {
    children?: React.ReactNode;
    className?: string;
} & SxProp & React.ComponentPropsWithoutRef<'div'>;
export type TimelineBodyProps = {
    /** Class name for custom styling */
    className?: string;
} & SxProp & React.ComponentPropsWithoutRef<'div'>;
export type TimelineBreakProps = {
    /** Class name for custom styling */
    className?: string;
} & SxProp & React.ComponentPropsWithoutRef<'div'>;
declare const _default: React.ForwardRefExoticComponent<{
    clipSidebar?: boolean;
    className?: string;
} & SxProp & Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>> & {
    Item: React.ForwardRefExoticComponent<{
        condensed?: boolean;
        className?: string;
    } & SxProp & Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
    Badge: {
        ({ sx: sxProp, className, ...props }: TimelineBadgeProps): React.JSX.Element;
        displayName: string;
    };
    Body: React.ForwardRefExoticComponent<{
        /** Class name for custom styling */
        className?: string;
    } & SxProp & Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
    Break: React.ForwardRefExoticComponent<{
        /** Class name for custom styling */
        className?: string;
    } & SxProp & Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
};
export default _default;
//# sourceMappingURL=Timeline.d.ts.map