'use strict';

var clsx = require('clsx');
var React = require('react');
var Timeline_module = require('./Timeline.module.css.js');
var defaultSxProp = require('../utils/defaultSxProp.js');
var jsxRuntime = require('react/jsx-runtime');
var Box = require('../Box/Box.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const Timeline = /*#__PURE__*/React__default.default.forwardRef(({
  clipSidebar,
  className,
  sx: sxProp = defaultSxProp.defaultSxProp,
  ...props
}, forwardRef) => {
  if (sxProp !== defaultSxProp.defaultSxProp) {
    return /*#__PURE__*/jsxRuntime.jsx(Box, {
      as: "div",
      sx: sxProp,
      ...props,
      className: clsx.clsx(className, Timeline_module.Timeline),
      ref: forwardRef,
      "data-clip-sidebar": clipSidebar ? '' : undefined
    });
  }
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    ...props,
    className: clsx.clsx(className, Timeline_module.Timeline),
    ref: forwardRef,
    "data-clip-sidebar": clipSidebar ? '' : undefined
  });
});
Timeline.displayName = 'Timeline';

/**
 * @deprecated Use the `TimelineItemProps` type instead
 */

const TimelineItem = /*#__PURE__*/React__default.default.forwardRef(({
  condensed,
  className,
  sx: sxProp = defaultSxProp.defaultSxProp,
  ...props
}, forwardRef) => {
  if (sxProp !== defaultSxProp.defaultSxProp) {
    return /*#__PURE__*/jsxRuntime.jsx(Box, {
      as: "div",
      ...props,
      className: clsx.clsx(className, 'Timeline-Item', Timeline_module.TimelineItem),
      ref: forwardRef,
      "data-condensed": condensed ? '' : undefined,
      sx: sxProp
    });
  }
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    ...props,
    className: clsx.clsx(className, 'Timeline-Item', Timeline_module.TimelineItem),
    ref: forwardRef,
    "data-condensed": condensed ? '' : undefined
  });
});
TimelineItem.displayName = 'TimelineItem';
const TimelineBadge = ({
  sx: sxProp = defaultSxProp.defaultSxProp,
  className,
  ...props
}) => {
  if (sxProp !== defaultSxProp.defaultSxProp) {
    return /*#__PURE__*/jsxRuntime.jsx("div", {
      className: Timeline_module.TimelineBadgeWrapper,
      children: /*#__PURE__*/jsxRuntime.jsx(Box, {
        ...props,
        sx: sxProp,
        className: clsx.clsx(className, Timeline_module.TimelineBadge)
      })
    });
  }
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: Timeline_module.TimelineBadgeWrapper,
    children: /*#__PURE__*/jsxRuntime.jsx("div", {
      ...props,
      className: clsx.clsx(className, Timeline_module.TimelineBadge)
    })
  });
};
TimelineBadge.displayName = "TimelineBadge";
TimelineBadge.displayName = 'Timeline.Badge';
const TimelineBody = /*#__PURE__*/React__default.default.forwardRef(({
  className,
  sx: sxProp = defaultSxProp.defaultSxProp,
  ...props
}, forwardRef) => {
  if (sxProp !== defaultSxProp.defaultSxProp) {
    return /*#__PURE__*/jsxRuntime.jsx(Box, {
      as: "div",
      ...props,
      className: clsx.clsx(className, Timeline_module.TimelineBody),
      ref: forwardRef,
      sx: sxProp
    });
  }
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    ...props,
    className: clsx.clsx(className, Timeline_module.TimelineBody),
    ref: forwardRef
  });
});
TimelineBody.displayName = 'TimelineBody';
const TimelineBreak = /*#__PURE__*/React__default.default.forwardRef(({
  className,
  sx: sxProp = defaultSxProp.defaultSxProp,
  ...props
}, forwardRef) => {
  if (sxProp !== defaultSxProp.defaultSxProp) {
    return /*#__PURE__*/jsxRuntime.jsx(Box, {
      as: "div",
      ...props,
      className: clsx.clsx(className, Timeline_module.TimelineBreak),
      ref: forwardRef,
      sx: sxProp
    });
  }
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    ...props,
    className: clsx.clsx(className, Timeline_module.TimelineBreak),
    ref: forwardRef
  });
});
TimelineBreak.displayName = 'TimelineBreak';
var Timeline$1 = Object.assign(Timeline, {
  Item: TimelineItem,
  Badge: TimelineBadge,
  Body: TimelineBody,
  Break: TimelineBreak
});

module.exports = Timeline$1;
