'use strict';

var React = require('react');
var TokenBase = require('./TokenBase.js');
var Token = require('./Token.js');
var AvatarToken_module = require('./AvatarToken.module.css.js');
var clsx = require('clsx');
var jsxRuntime = require('react/jsx-runtime');
var Avatar = require('../Avatar/Avatar.js');

const AvatarToken = /*#__PURE__*/React.forwardRef(({
  avatarSrc,
  id,
  size = TokenBase.defaultTokenSize,
  className,
  ...rest
}, forwardedRef) => {
  return /*#__PURE__*/jsxRuntime.jsx(Token, {
    leadingVisual: () => /*#__PURE__*/jsxRuntime.jsx("span", {
      className: AvatarToken_module.AvatarContainer,
      "data-size": size,
      children: /*#__PURE__*/jsxRuntime.jsx(Avatar.default, {
        src: avatarSrc,
        size: parseInt(TokenBase.tokenSizes[size], 10),
        className: AvatarToken_module.Avatar
      })
    }),
    size: size,
    id: id === null || id === void 0 ? void 0 : id.toString(),
    className: clsx.clsx(AvatarToken_module.Token, className),
    ...rest,
    ref: forwardedRef
  });
});
AvatarToken.displayName = 'AvatarToken';

module.exports = AvatarToken;
