import React from 'react';
import type { SxProp } from '../sx';
import { type KeybindingHintProps } from '../KeybindingHint';
export type TooltipDirection = 'nw' | 'n' | 'ne' | 'e' | 'se' | 's' | 'sw' | 'w';
export type TooltipProps = React.PropsWithChildren<{
    direction?: TooltipDirection;
    text: string;
    type?: 'label' | 'description';
    keybindingHint?: KeybindingHintProps['keys'];
} & SxProp> & React.HTMLAttributes<HTMLElement>;
export declare const TooltipContext: React.Context<{
    tooltipId?: string;
}>;
export declare const Tooltip: React.ForwardRefExoticComponent<{
    direction?: TooltipDirection;
    text: string;
    type?: "label" | "description";
    keybindingHint?: KeybindingHintProps["keys"];
} & SxProp & {
    children?: React.ReactNode | undefined;
} & React.HTMLAttributes<HTMLElement> & React.RefAttributes<unknown>>;
//# sourceMappingURL=Tooltip.d.ts.map