'use strict';

var clsx = require('clsx');
var VisuallyHidden_module = require('./VisuallyHidden.module.css.js');
var defaultSxProp = require('../utils/defaultSxProp.js');
var jsxRuntime = require('react/jsx-runtime');
var Box = require('../Box/Box.js');

const VisuallyHidden = ({
  className,
  children,
  sx: sxProp = defaultSxProp.defaultSxProp,
  ...rest
}) => {
  if (sxProp !== defaultSxProp.defaultSxProp) {
    return /*#__PURE__*/jsxRuntime.jsx(Box, {
      sx: sxProp,
      className: clsx.clsx(className, VisuallyHidden_module.VisuallyHidden),
      ...rest,
      children: children
    });
  }
  return /*#__PURE__*/jsxRuntime.jsx("span", {
    className: clsx.clsx(className, VisuallyHidden_module.VisuallyHidden),
    ...rest,
    children: children
  });
};
VisuallyHidden.displayName = "VisuallyHidden";

exports.VisuallyHidden = VisuallyHidden;
