'use strict';

var styled = require('styled-components');
var sx = require('../../sx.js');
var Header = require('./Header.js');
var jsxRuntime = require('react/jsx-runtime');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var styled__default = /*#__PURE__*/_interopDefault(styled);

const StyledGroup = styled__default.default.div.withConfig({
  displayName: "Group__StyledGroup",
  componentId: "sc-1s2aw76-0"
})(["", ""], sx.default);

/**
 * Collects related `Items` in an `ActionList`.
 */
function Group({
  header,
  items,
  ...props
}) {
  return /*#__PURE__*/jsxRuntime.jsxs(StyledGroup, {
    ...props,
    children: [header && /*#__PURE__*/jsxRuntime.jsx(Header.Header, {
      ...header
    }), items]
  });
}
Group.displayName = "Group";

exports.Group = Group;
