'use strict';

var styled = require('styled-components');
var constants = require('../../constants.js');
var sx = require('../../sx.js');
var jsxRuntime = require('react/jsx-runtime');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var styled__default = /*#__PURE__*/_interopDefault(styled);

const StyledHeader = styled__default.default.div.withConfig({
  displayName: "Header__StyledHeader",
  componentId: "sc-cjezay-0"
})(["{}padding:6px ", ";font-size:", ";font-weight:", ";color:", ";", " ", ""], constants.get('space.3'), constants.get('fontSizes.0'), constants.get('fontWeights.bold'), constants.get('colors.fg.muted'), ({
  variant
}) => variant === 'filled' && styled.css(["background:", ";margin:", " 0;border-top:1px solid ", ";border-bottom:1px solid ", ";&:first-child{margin-top:0;}"], constants.get('colors.canvas.subtle'), constants.get('space.2'), constants.get('colors.neutral.muted'), constants.get('colors.neutral.muted')), sx.default);

/**
 * Displays the name and description of a `Group`.
 */
function Header({
  variant = 'subtle',
  title,
  auxiliaryText,
  children: _children,
  ...props
}) {
  return /*#__PURE__*/jsxRuntime.jsxs(StyledHeader, {
    role: "heading",
    variant: variant,
    ...props,
    children: [title, auxiliaryText && /*#__PURE__*/jsxRuntime.jsx("span", {
      children: auxiliaryText
    })]
  });
}
Header.displayName = "Header";

exports.Header = Header;
exports.StyledHeader = StyledHeader;
