'use strict';

var useResponsiveValue = require('../../hooks/useResponsiveValue.js');
var Avatar = require('../../Avatar/Avatar.js');
var SkeletonBox = require('../../Skeleton/SkeletonBox.js');
var SkeletonAvatar_module = require('./SkeletonAvatar.module.css.js');
var clsx = require('clsx');
require('@styled-system/css');
var merge = require('deepmerge');
var jsxRuntime = require('react/jsx-runtime');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var merge__default = /*#__PURE__*/_interopDefault(merge);

const SkeletonAvatar = ({
  size = Avatar.DEFAULT_AVATAR_SIZE,
  square,
  className,
  style,
  ...rest
}) => {
  const responsive = useResponsiveValue.isResponsiveValue(size);
  const cssSizeVars = {};
  if (responsive) {
    for (const [key, value] of Object.entries(size)) {
      cssSizeVars[`--avatarSize-${key}`] = `${value}px`;
    }
  } else {
    cssSizeVars['--avatarSize-regular'] = `${size}px`;
  }
  return /*#__PURE__*/jsxRuntime.jsx(SkeletonBox.SkeletonBox, {
    className: clsx.clsx(className, SkeletonAvatar_module.SkeletonAvatar),
    ...rest,
    "data-component": "SkeletonAvatar",
    "data-responsive": responsive ? '' : undefined,
    "data-square": square ? '' : undefined,
    style: merge__default.default(style, cssSizeVars)
  });
};
SkeletonAvatar.displayName = "SkeletonAvatar";

exports.SkeletonAvatar = SkeletonAvatar;
