'use strict';

var utils = require('@primer/behaviors/utils');
var React = require('react');
var environment = require('../utils/environment.js');

/**
 * SSR-safe hook for determining if the current platform is MacOS. When rendering
 * server-side, will default to non-MacOS and then re-render in an effect if the
 * client turns out to be a MacOS device.
 */
function useIsMacOS() {
  const [isMacOS, setIsMacOS] = React.useState(() => environment.canUseDOM ? utils.isMacOS() : false);
  React.useEffect(() => setIsMacOS(utils.isMacOS()), []);
  return isMacOS;
}

exports.useIsMacOS = useIsMacOS;
