'use strict';

var octiconsReact = require('@primer/octicons-react');
var InputValidation_module = require('./InputValidation.module.css.js');
var clsx = require('clsx');
var jsxRuntime = require('react/jsx-runtime');
var Text = require('../../Text/Text.js');

const validationIconMap = {
  success: octiconsReact.CheckCircleFillIcon,
  error: octiconsReact.AlertFillIcon
};
const InputValidation = ({
  children,
  className,
  id,
  validationStatus,
  sx
}) => {
  const IconComponent = validationStatus ? validationIconMap[validationStatus] : undefined;

  // TODO: use `text-caption-lineHeight` token as a custom property when it's available
  // then, we can move this all to CSS and use `calc` to get our height values
  const captionLineHeight = 16 / 12;
  const iconSize = 12;
  const iconBoxMinHeight = iconSize * captionLineHeight;
  return /*#__PURE__*/jsxRuntime.jsxs(Text, {
    className: clsx.clsx(className, InputValidation_module.InputValidation),
    "data-validation-status": validationStatus,
    sx: sx,
    children: [IconComponent ? /*#__PURE__*/jsxRuntime.jsx("span", {
      "aria-hidden": "true",
      className: InputValidation_module.ValidationIcon,
      style: {
        '--inputValidation-iconSize': iconBoxMinHeight
      },
      children: /*#__PURE__*/jsxRuntime.jsx(IconComponent, {
        size: iconSize,
        fill: "currentColor"
      })
    }) : null, /*#__PURE__*/jsxRuntime.jsx("span", {
      id: id,
      className: InputValidation_module.ValidationText,
      style: {
        '--inputValidation-lineHeight': captionLineHeight
      },
      children: children
    })]
  });
};
InputValidation.displayName = "InputValidation";

module.exports = InputValidation;
