import React from 'react';
type CSSModulesProps = {
    as?: string | React.ComponentType<any>;
    sx?: React.CSSProperties;
};
/**
 * Utility to toggle rendering a Box component that receives sx props
 * or a "plain" component based on the provided `as` prop. Other props will be passed through to an element or component created with the `as` prop.
 *
 * @param sx - the sx prop to check against the default sx prop
 * @param defaultAs - the default component to use when `as` is not provided
 */
export declare function toggleSxComponent<T, P extends CSSModulesProps>(defaultAs: string | React.ComponentType<any>): React.ForwardRefExoticComponent<React.PropsWithoutRef<P> & React.RefAttributes<T>>;
export {};
//# sourceMappingURL=toggleSxComponent.d.ts.map