'use strict';

var constants = require('../constants.js');

const COMMON_PROP_NAMES = new Set(Object.keys(constants.COMMON));
const TYPOGRAPHY_PROP_NAMES = new Set(Object.keys(constants.TYPOGRAPHY));
const includesSystemProps = props => {
  if (props.sx) {
    return true;
  }
  return Object.keys(props).some(prop => {
    return TYPOGRAPHY_PROP_NAMES.has(prop) || COMMON_PROP_NAMES.has(prop);
  });
};

exports.includesSystemProps = includesSystemProps;
